net.sf.okapi.lib.xliff2.validation

## Class Issue

- java.lang.Object
- - net.sf.okapi.lib.xliff2.validation.Issue

-     public class Issue
      extends java.lang.Object

  Represents an issue detected when processing the rules for the Validation module.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Issue(java.lang.String fileId, java.lang.String unitId, java.lang.String code, java.lang.String text, java.lang.String ruleInfo)` Creates a new `Issue` object with a given segment number, code and text.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Gets the code for this issue.
    `java.lang.String` | `getFileId()` Gets the file id for this issue.
    `java.lang.String` | `getRuleInfo()` Gets the string representation of the rule that triggered the issue.
    `java.lang.String` | `getText()` Gets the text for this issue.
    `java.lang.String` | `getUnitId()` Gets the id of the unit where this issue is.
    `void` | `setCode(java.lang.String code)` Sets the code for this issue.
    `void` | `setFileId(java.lang.String fileId)` Sets the file id for this issue.
    `void` | `setRuleInfo(java.lang.String ruleInfo)` Sets the string representation of the rule that triggered the issue.
    `void` | `setText(java.lang.String text)` Sets the text for this issue.
    `void` | `setUnitId(java.lang.String unitId)` Sets the id of the unit where this issue is.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Issue

          public Issue(java.lang.String fileId,
               java.lang.String unitId,
               java.lang.String code,
               java.lang.String text,
               java.lang.String ruleInfo)

      Creates a new `Issue` object with a given segment number, code and text.
      Parameters:
        `fileId` - the id of the file for the given unit.
        `code` - the string representation of the code for this issue.
        `text` - the human readable text of this issue.

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Gets the code for this issue.
      Returns:
        the code for this issue.

    - #### setCode

          public void setCode(java.lang.String code)

      Sets the code for this issue.
      Parameters:
        `code` - the code for this issue.

    - #### getText

          public java.lang.String getText()

      Gets the text for this issue.
      Returns:
        the text for this issue.

    - #### setText

          public void setText(java.lang.String text)

      Sets the text for this issue.
      Parameters:
        `text` - the text for this issue.

    - #### getUnitId

          public java.lang.String getUnitId()

      Gets the id of the unit where this issue is.
      Returns:
        the id of the unit where this issue is.

    - #### setUnitId

          public void setUnitId(java.lang.String unitId)

      Sets the id of the unit where this issue is.
      Parameters:
        `unitId` - the id of the unit where this issue is.

    - #### getFileId

          public java.lang.String getFileId()

      Gets the file id for this issue.
      Returns:
        the file id for this issue.

    - #### setFileId

          public void setFileId(java.lang.String fileId)

      Sets the file id for this issue.
      Parameters:
        `fileId` - the file id for this issue.

    - #### getRuleInfo

          public java.lang.String getRuleInfo()

      Gets the string representation of the rule that triggered the issue.
      Returns:
        the the string representation of the rule that triggered the issue.

    - #### setRuleInfo

          public void setRuleInfo(java.lang.String ruleInfo)

      Sets the string representation of the rule that triggered the issue.
      Parameters:
        `ruleInfo` - the string representation of the rule that triggered the issue.